#! /bin/sh

set -e

CFGFILE="/var/lib/one.liberty/deckhost.conf"

if [ "$1" = "configure" ]; then

	. /usr/share/debconf/confmodule
	db_version 2.0

	TEMPFILE=$(mktemp --tmpdir debconf_XXXXXXXXXX)
	db_get 'one.liberty/domain'
	echo >> "$TEMPFILE" "DOMAIN=\"$RET\""
	db_get 'one.liberty/hub/name'
	echo >> "$TEMPFILE" "HUB_NAME=\"$RET\""
	db_get 'one.liberty/hub/uri'
	echo >> "$TEMPFILE" "HUB_URI=\"$RET\""
	db_get 'one.liberty/chat/uri'
	echo >> "$TEMPFILE" "CHAT_URI=\"$RET\""
	db_get 'one.liberty/social/uri'
	echo >> "$TEMPFILE" "SOCIAL_URI=\"$RET\""

	db_stop

	mv -f "$TEMPFILE" "$CFGFILE"
	chmod a=rx,u+w "$CFGFILE"
	update-ldh-gui-suite
fi

#DEBHELPER#
